MQQueueSharingGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQQueueSharingGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQQueueSharingGroup

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, java.io.Serializable

    public interface MQQueueSharingGroup

extends LogicalElement, MQBase

The response to the DISPLAY GROUP command is a series of messages containing information about the queue-sharing group to which the queue manager is connected. The following information is returned: - The name of the queue-sharing group - Whether all the queue managers that belong to the group are active or inactive - The names of all the queue managers that belong to the group - Whether queue managers in the group contain obsolete messages in DB2

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  MQQSHARINGGRP

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getName()`
`MQQueueManager[]` | `getQueueManagers()`
`boolean` | `hasName()`
`boolean` | `hasQueueManagers()`
`void` | `setName(java.lang.String x)`
`void` | `setQueueManagers(MQQueueManager[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getQueueManagers

    MQQueueManager[] getQueueManagers()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setQueueManagers

    void setQueueManagers(MQQueueManager[] x)

### hasQueueManagers

    boolean hasQueueManagers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD